package response

import (
	"electricity_bill_calc/model"
	"net/http"

	"github.com/gofiber/fiber/v2"
)

type LoginResponse struct {
	BaseResponse
	NeedReset bool           `json:"needReset"`
	Session   *model.Session `json:"session"`
}

func (r *Result) LoginSuccess(session *model.Session) {
	res := &LoginResponse{}
	res.Code = http.StatusOK
	res.Message = "用户已成功登录。"
	res.NeedReset = false
	res.Session = session
	r.Ctx.Status(fiber.StatusOK).JSON(res)
}

func (r *Result) LoginNeedReset() {
	res := &LoginResponse{}
	res.Code = http.StatusUnauthorized
	res.Message = "用户凭据已失效。"
	res.NeedReset = true
	r.Ctx.Status(fiber.StatusOK).JSON(res)
}
